#Post-Deployment Tasks:
#Web Panel Configuration at 10.0.8.200:12345
#configure DNS and NGINX > point DNS to NGINX, in NGINX, be sure to enable SSL, forced SSL, websocket support and HTTP/2 

services:
  # Frontend
  web:
    image: jitsi/web:unstable
    restart: unless-stopped
    ports:
      - 12345:80
      - 54321:443
    volumes:
      - /jitsi/web:/config:Z
      - /jitsi/web/crontabs:/var/spool/cron/crontabs:Z
      - /jitsi/transcripts:/usr/share/jitsi-meet/transcripts:Z
      - /jitsi/web/load-test:/usr/share/jitsi-meet/load-test:Z
    labels:
      service: jitsi-web
    environment:
      - ENABLE_AUTH=1
      - ENABLE_GUESTS=1
      - PUBLIC_URL=https://meet.vooruit.box
      - WHITEBOARD_COLLAB_SERVER_PUBLIC_URL=https://whiteboard.meet.vooruit.box
      - WHITEBOARD_COLLAB_SERVER_URL_BASE=http://whiteboard.meet.jitsi
      - tz=Europe/Amsterdam
    networks:
      meet.jitsi: null
    depends_on:
      - jvb
  # XMPP server
  prosody:
    image: jitsi/prosody:unstable
    restart: unless-stopped
    expose:
      - ${XMPP_PORT:-5222}
      - ${PROSODY_S2S_PORT:-5269}
      - "5347"
      - ${PROSODY_HTTP_PORT:-5280}
    labels:
      service: jitsi-prosody
    volumes:
      - /jitsi/prosody/config:/config:Z
      - /jitsi/prosody/prosody-plugins-custom:/prosody-plugins-custom:Z
    environment:
      - AUTH_TYPE=ldap
      - DISABLE_POLLS
      - ENABLE_AUTH=1
      - ENABLE_GUESTS=1
      - JIBRI_RECORDER_PASSWORD=4XD5dsXljDjN8UAM3JDQYBVJ
      - JIBRI_XMPP_PASSWORD=4XD5dsXljDjN8UAM3JDQYBVJ
      - JICOFO_AUTH_PASSWORD=4XD5dsXljDjN8UAM3JDQYBVJ
      - JIGASI_TRANSCRIBER_PASSWORD=4XD5dsXljDjN8UAM3JDQYBVJ
      - JIGASI_XMPP_PASSWORD=4XD5dsXljDjN8UAM3JDQYBVJ
      - JVB_AUTH_PASSWORD=4XD5dsXljDjN8UAM3JDQYBVJ
      - LDAP_AUTH_METHOD=bind
      - LDAP_BASE=OU=Company,DC=vooruit,dc=box
      - LDAP_BINDDN=modules@vooruit.box
      - LDAP_BINDPW=z5fGWz2i0q
      - LDAP_FILTER=(sAMAccountName=%u)
      - LDAP_TLS_CHECK_PEER=0
      - LDAP_URL=ldaps://10.0.8.201/
      - LDAP_USE_TLS=1
      - PUBLIC_URL=https://meet.vooruit.box
      - TZ=Europe/Amsterdam
    networks:
      meet.jitsi:
        aliases:
          - xmpp.meet.jitsi
  # Focus component
  jicofo:
    image: jitsi/jicofo:unstable
    restart: unless-stopped
    ports:
      - 127.0.0.1:${JICOFO_REST_PORT:-8888}:8888
    volumes:
      - /jitsi/jicofo:/config:Z
    labels:
      service: jitsi-jicofo
    environment:
      - AUTH_TYPE=ldap
      - ENABLE_AUTH=1
      - JICOFO_AUTH_PASSWORD=4XD5dsXljDjN8UAM3JDQYBVJ
      - SENTRY_DSN="${JICOFO_SENTRY_DSN:-0}"
      - TZ=Europe/Amsterdam
    depends_on:
      - prosody
    networks:
      meet.jitsi: null # Video bridge
  jvb:
    image: jitsi/jvb:unstable
    restart: unless-stopped
    ports:
      - ${JVB_PORT:-10000}:${JVB_PORT:-10000}/udp
      - 127.0.0.1:${JVB_COLIBRI_PORT:-8081}:8080
    volumes:
      - /jitsi/jvb:/config:Z
    labels:
      service: jitsi-jvb
    environment:
      - JVB_AUTH_PASSWORD=4XD5dsXljDjN8UAM3JDQYBVJ
      - PUBLIC_URL=https://meet.vooruit.box
      - SENTRY_DSN="${JVB_SENTRY_DSN:-0}"
      - TZ=Europe/Amsterdam
    depends_on:
      - prosody
    networks:
      meet.jitsi: null
  whiteboard:
    image: jitsi/excalidraw-backend:21
    restart: unless-stopped
    depends_on:
      - web
    networks:
      meet.jitsi:
        aliases:
          - whiteboard.meet.jitsi
networks:
  meet.jitsi: null
  dockge_default:
    external: true